Bug 181694 - segfaults on invalid redirection
segfaults on invalid redirection
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-15 17:17 EST by Jason Vas Dias
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-02-15 17:17:28 EST
Description of problem:

lftp can experience a segmentation violation if redirected to a directory
that does not exist by a web server.

It seems to be due to a mis-configuration of the site I was
visiting, but lftp should not dump core for such sites:

$ lftp http://open-mpi.org
lftp www.open-mpi.org:/> cd software/ompi
cd: received redirection to `http://www.open-mpi.org/software/ompi/'
cd: received redirection to `current/'
Segmentation fault (core dumped)ware/ompi/' [Connecting...]

There is no http://www.open-mpi.org/current OR 
http://www.open-mpi.org/software/ompi/current URL on the website -
this appears to be a bug in the website - but lftp should not dump core 
in this situation.

$ gdb /usr/bin/lftp core.*
GNU gdb Red Hat Linux (6.3.0.0-1.106rh)
...
Program terminated with signal 11, Segmentation fault.
...
#0  FileAccess::Path::Set (this=0x8e48c50, o=0x0) at FileAccess.cc:1125
1125       Set(o->path,o->is_file,o->url,o->device_prefix_len);
(gdb) where
#0  FileAccess::Path::Set (this=0x8e48c50, o=0x0) at FileAccess.cc:1125
#1  0x00256eab in Http::Do (this=0x8e48c00) at Http.cc:1528
#2  0x002b85ac in SMTask::Schedule () at SMTask.cc:228
#3  0x0804cc81 in WaitDone (exec=0x8e36450) at lftp.cc:73
#4  0x0804d41e in main (argc=2, argv=0xbfa2c444) at lftp.cc:408
(gdb)


Version-Release number of selected component (if applicable):
lftp-3.4.2-1.1

How reproducible:
100%

Steps to Reproduce:
See above
Comment 1 Jason Vas Dias 2006-02-15 17:18:18 EST
Fixed with lftp-3.4.2-2 in Rawhide
Comment 2 Bug Zapper 2008-04-03 12:59:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:22:41 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.